Method: inventorySourceGroups.assignedInventorySources.create

  • This page details how to create an assignment between an inventory source and an inventory source group using an HTTP POST request.

  • The request requires a path parameter for the inventorySourceGroupId and a required query parameter identifying the owner, which can be either a partnerId or an advertiserId.

  • The request body contains an instance of AssignedInventorySource, and a successful response body will return a newly created instance of AssignedInventorySource.

  • Authorization for this request requires the https://www.googleapis.com/auth/display-video OAuth scope.

Creates an assignment between an inventory source and an inventory source group.

HTTP request

POST https://displayvideo.googleapis.com/v4/inventorySourceGroups/{inventorySourceGroupId}/assignedInventorySources

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
inventorySourceGroupId

string (int64 format)

Required. The ID of the inventory source group to which the assignment will be assigned.

Query parameters

Parameters
Required. Identifies the DV360 entity that owns the parent inventory source group. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the parent inventory source group.

Only this partner will have write access to this assigned inventory source.

advertiserId

string (int64 format)

The ID of the advertiser that owns the parent inventory source group.

The parent partner will not have access to this assigned inventory source.

End of mutually exclusive fields.

Request body

The request body contains an instance of AssignedInventorySource.

Response body

If successful, the response body contains a newly created instance of AssignedInventorySource.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.